This is a [Next.js](https://nextjs.org/) project bootstrapped with [`create-next-app`](https://github.com/vercel/next.js/tree/canary/packages/create-next-app).

## Getting Started

First, run the development server:

```bash
npm run dev
# or
yarn dev
# or
pnpm dev
# or
bun dev
```

Open [http://localhost:3000](http://localhost:3000) with your browser to see the result.

You can start editing the page by modifying `app/page.tsx`. The page auto-updates as you edit the file.

This project uses [`next/font`](https://nextjs.org/docs/basic-features/font-optimization) to automatically optimize and load Inter, a custom Google Font.

## Using Google Analytics

To integrate Google Analytics, set your Google Analytics tracking ID in the `.env.local` file:

```env
NEXT_PUBLIC_GA_TRACKING_ID=your_tracking_id_here
```

Then, initialize Google Analytics in your application by importing the `initGoogleAnalytics` function from the `@ucam.uis.devops/ucam-observe-remote-analytics/utils` package and calling it inside the `useEffect` hook in `app/page.tsx`:

```javascript
import { useEffect } from 'react';
import { initGoogleAnalytics } from '@ucam.uis.devops/ucam-observe-remote-analytics/utils';

export default function Home() {
  useEffect(() => {
    initGoogleAnalytics(process.env.NEXT_PUBLIC_GA_TRACKING_ID || '');
  }, []);

  // Additional component logic
}
```

This setup ensures that Google Analytics is correctly initialized whenever your application starts.

## Learn More

To learn more about Next.js, take a look at the following resources:

- [Next.js Documentation](https://nextjs.org/docs) - learn about Next.js features and API.
- [Learn Next.js](https://nextjs.org/learn) - an interactive Next.js tutorial.

You can check out [the Next.js GitHub repository](https://github.com/vercel/next.js/) - your feedback and contributions are welcome!

## Deploy on Vercel

The easiest way to deploy your Next.js app is to use the [Vercel Platform](https://vercel.com/new?utm_medium=default-template&filter=next.js&utm_source=create-next-app&utm_campaign=create-next-app-readme) from the creators of Next.js.

Check out our [Next.js deployment documentation](https://nextjs.org/docs/deployment) for more details.